searchNodes=[{"doc":"SmeeFeds is a small federation management extension to Smee for use in research, testing and development.Smee has tools for handling the sources of SAML metadata but nothing to represent the publishers of metadata. SmeeFeds adds a few tools for handling federations and includes a large collection of information about research and education federations.FeaturesEasily find information about major federationsFilter and group federations by location or EU membershipUse federation records directly with Smee to download metadata from aggregates or MDQ serversExport lists of federation information as CSV, JSON or Markdown documentsThe top level SmeeFeds module has tools for selecting individual federation details or lists of many at once. SmeeFeds contain more tools for handling federations, such as:SmeeFeds.Federation - tools for accessing data such as metadata download URLs, contacts, homepages, and so on.SmeeFeds.Export - convert lists of federations into data for export, or simple text reportsSmeeFeds.Filter - filter lists of federations by various criteriaIMPORTANT DISCLAIMER AND WARNINGSmeeFeds comes with a built-in list of federations, using information gathered from various sources on the Internet.This collection of information is for use by researchers, developers and testers.IT IS NOT FOR USE IN PRODUCTION ENVIRONMENTSMetadata is the bedrock of trust and information security in SAML federations. DO NOT use metadata URLs, certificates and certificate fingerprints to download and use metadata in live services without confirming each detail yourself.If you must use SmeeFeds as part of a production service, then after information has been verified you can export only the verified information you need as a JSON file and set it as the new default using :smee_feds, :data_file config setting in your application.There is absolutely no guarantee or warranty that the data in SmeeFeds is correct, and it is not supported by any of the federations listed. It's totally unofficial.","ref":"SmeeFeds.html","title":"SmeeFeds","type":"module"},{"doc":"Lists all countries in the provided list of federations (or the default set if no federations are passed)Examplesiex&gt; SmeeFeds.countries() iex&gt; SmeeFeds.federations([:ukamf, :incommon]) |&gt; SmeeFeds.countries()","ref":"SmeeFeds.html#countries/1","title":"SmeeFeds.countries/1","type":"function"},{"doc":"Finds a federation in the default database by ID and returns the full federation record.Exampleiex&gt; incommon = SmeeFeds.federation(:incommon)","ref":"SmeeFeds.html#federation/1","title":"SmeeFeds.federation/1","type":"function"},{"doc":"Returns a list of SmeeFeds.Federation structs.Returns all known federations from the default collection.Exampleiex&gt; federations = SmeeFeds.federations()","ref":"SmeeFeds.html#federations/0","title":"SmeeFeds.federations/0","type":"function"},{"doc":"Returns a list of SmeeFeds.Federation structs when passed a list of federation IDs (as atoms).Exampleiex&gt; federations = SmeeFeds.federations([:ukamf, :ref])","ref":"SmeeFeds.html#federations/1","title":"SmeeFeds.federations/1","type":"function"},{"doc":"Finds a federation in the default database by ID and returns the full federation record.Exampleiex&gt; incommon = SmeeFeds.get(:incommon)","ref":"SmeeFeds.html#get/1","title":"SmeeFeds.get/1","type":"function"},{"doc":"Returns the ids of all federations in the default collection as a list of atoms.Exampleiex&gt; ids = SmeeFeds.ids()","ref":"SmeeFeds.html#ids/0","title":"SmeeFeds.ids/0","type":"function"},{"doc":"Returns the ids of all federations in the provided list of federations as a list of atoms.Example iex&gt; federations = SmeeFeds.federations([:ukamf, :ref]) iex&gt; ids = SmeeFeds.ids(federations)","ref":"SmeeFeds.html#ids/1","title":"SmeeFeds.ids/1","type":"function"},{"doc":"Tries to find the federation that published the provided Smee record (source, entity or metadata)The first matching federation record will be returned if found, or nil if no federations match.Exampleiex&gt; source = Smee.source(&quot;http://metadata.ukfederation.org.uk/ukfederation-metadata.xml&quot;) iex&gt; federation = SmeeFeds.publisher(source) %SmeeFeds.Federation{id: :ukamf} = federation","ref":"SmeeFeds.html#publisher/2","title":"SmeeFeds.publisher/2","type":"function"},{"doc":"Is a federation the publisher of the provided Smee Source, Metadata, or Entity?Returns true if the federation and source, metadata or entity share a URL or publisher URI, false otherwise.Exampleiex&gt; source = Smee.source(&quot;http://metadata.ukfederation.org.uk/ukfederation-metadata.xml&quot;) iex&gt; federation = SmeeFeds.get(:ukamf) iex&gt; SmeeFeds.publisher?(federation, source) true","ref":"SmeeFeds.html#publisher?/2","title":"SmeeFeds.publisher?/2","type":"function"},{"doc":"Lists all regions in the provided list of federations (or the default set if no federations are passed)Examplesiex&gt; SmeeFeds.regions() iex&gt; SmeeFeds.federations([:ukamf, :incommon]) |&gt; SmeeFeds.regions() [&quot;Americas&quot;, &quot;Europe&quot;]","ref":"SmeeFeds.html#regions/1","title":"SmeeFeds.regions/1","type":"function"},{"doc":"Lists all sub_regions in the provided list of federations (or the default set if no federations are passed)Examplesiex&gt; SmeeFeds.sub_regions() iex&gt; SmeeFeds.federations([:ukamf, :incommon]) |&gt; SmeeFeds.sub_regions() [&quot;Northern America&quot;, &quot;Northern Europe&quot;]","ref":"SmeeFeds.html#sub_regions/1","title":"SmeeFeds.sub_regions/1","type":"function"},{"doc":"Lists all super_regions in the provided list of federations (or the default set if no federations are passed)Examplesiex&gt; SmeeFeds.super_regions() iex&gt; SmeeFeds.federations([:ukamf, :incommon]) |&gt; SmeeFeds.super_regions() [&quot;AMER&quot;, &quot;EMEA&quot;]","ref":"SmeeFeds.html#super_regions/1","title":"SmeeFeds.super_regions/1","type":"function"},{"doc":"Converts lists of federations into other formats suitable for export and use in other applications.Some exports are focused on presenting the data (such as markdown/1, others are lossy summaries (csv/1) and some are contain all data (json/1).","ref":"SmeeFeds.Export.html","title":"SmeeFeds.Export","type":"module"},{"doc":"Creates a CSV export of the provided federations as a single string.Not all information is included - the CSV only contains ID, name, URL, countries, policy url and metadata URLs for the main aggregate and MDQ service. Other information is not included.","ref":"SmeeFeds.Export.html#csv/1","title":"SmeeFeds.Export.csv/1","type":"function"},{"doc":"Produces a string containing all passed federations (or default set) in JSON format.The JSON should contain all federation information and can be used by SmeeFeds as a replacement for the default source of federation information.","ref":"SmeeFeds.Export.html#json/1","title":"SmeeFeds.Export.json/1","type":"function"},{"doc":"Produces a simple Markdown-formatted table summarising the provided list of federations. Not all information is included - the CSV only contains ID, name, URL, countries, policy url and metadata URLs for the main aggregate and MDQ service. Other information is not included.The Markdown output can be used with most modern markdown parsers, including Github comments.","ref":"SmeeFeds.Export.html#markdown/1","title":"SmeeFeds.Export.markdown/1","type":"function"},{"doc":"Federation provides structs that represents federated metadata publishers, and some simple tools to manage the information in them.","ref":"SmeeFeds.Federation.html","title":"SmeeFeds.Federation","type":"module"},{"doc":"Returns the default aggregate metadata details for the federation, or nil if none has been defined.","ref":"SmeeFeds.Federation.html#aggregate/1","title":"SmeeFeds.Federation.aggregate/1","type":"function"},{"doc":"Gets the general contact information for the federation as a URL.","ref":"SmeeFeds.Federation.html#contact/1","title":"SmeeFeds.Federation.contact/1","type":"function"},{"doc":"Returns the countries associated with the federation as Countries structs.See Countries documentation for more information.","ref":"SmeeFeds.Federation.html#countries/1","title":"SmeeFeds.Federation.countries/1","type":"function"},{"doc":"Returns the default MDQ service for the federation, or nil if none has been defined.","ref":"SmeeFeds.Federation.html#mdq/1","title":"SmeeFeds.Federation.mdq/1","type":"function"},{"doc":"Creates a new Federation struct. The only requirement is a unique ID, passed as the first parameter.Other information can be passed as an option:contact: general contact address for the federation, as a URL.name: The full, official name of the federationurl: The URL of the federation's homepageuri: The publisher URI of the federationcountries: A list of 2-letter country codes for countries the federation officially provides services for.policy: URL for the federation's metadata policy documentationsources: Map of atom IDs and Smee.Source structs. Use default: for the default aggregate, and mdq: for the default MDQ service.SmeeFeds comes with a list of built-in federations - use SmeeFeds.federations/0 to view them.","ref":"SmeeFeds.Federation.html#new/2","title":"SmeeFeds.Federation.new/2","type":"function"},{"doc":"Returns the policy URL for the federation (if known) or nil","ref":"SmeeFeds.Federation.html#policy_url/1","title":"SmeeFeds.Federation.policy_url/1","type":"function"},{"doc":"Lists all sources for the federation (it does not return their keys/labels)If no sources have been defined it will return an empty list.","ref":"SmeeFeds.Federation.html#sources/1","title":"SmeeFeds.Federation.sources/1","type":"function"},{"doc":"Returns the homepage URL for the federation, or nil.","ref":"SmeeFeds.Federation.html#url/1","title":"SmeeFeds.Federation.url/1","type":"function"},{"doc":"","ref":"SmeeFeds.Federation.html#t:t/0","title":"SmeeFeds.Federation.t/0","type":"type"},{"doc":"Processes a list or stream of federations to include or exclude federation structs matching the specified criteria.By default these functions include matching federations and exclude those that do not match, but this an be reversed. For example, by default SmeeFeds.Filter.eu/3 will exclude entities that are not in the EU, but by specifying false as the third parameter the filter will be inverted and exclude entities that are in the EU.","ref":"SmeeFeds.Filter.html","title":"SmeeFeds.Filter","type":"module"},{"doc":"Filter a list of stream of federations so that only those in the EU remain.The filter is positive by default but can be inverted by specifying false","ref":"SmeeFeds.Filter.html#eu/2","title":"SmeeFeds.Filter.eu/2","type":"function"},{"doc":"Filter a list of stream of federations so that only those in the specified region remain.The list of available regions can be seen by calling SmeeFeds.regions()The filter is positive by default but can be inverted by specifying false","ref":"SmeeFeds.Filter.html#region/3","title":"SmeeFeds.Filter.region/3","type":"function"},{"doc":"Filter a list of stream of federations so that only those in the specified sub_region remain.The list of available regions can be seen by calling SmeeFeds.sub_regions()The filter is positive by default but can be inverted by specifying false","ref":"SmeeFeds.Filter.html#sub_region/3","title":"SmeeFeds.Filter.sub_region/3","type":"function"},{"doc":"Filter a list of stream of federations so that only those in the specified super_region remain.The list of available regions can be seen by calling SmeeFeds.super_regions()The filter is positive by default but can be inverted by specifying false","ref":"SmeeFeds.Filter.html#super_region/3","title":"SmeeFeds.Filter.super_region/3","type":"function"},{"doc":"SmeeFedsSmeeFeds is a small federation management extension to Smee for use in research, testing and development.Smee has tools for handling the sources of SAML metadata but nothing to represent the publishers of metadata. SmeeFeds adds a few tools for handling federations and includes a large collection of information about research and education federations.","ref":"readme.html","title":"SmeeFeds","type":"extras"},{"doc":"Easily find information on National Research and Education organisation (NREN) federations.Filter and group federations by location or EU membershipUse federation records directly with Smee to download metadata from aggregates or MDQ serversExport lists of federation information as CSV, JSON or Markdown documentsThe top level SmeeFeds module has tools for selecting individual federation details or lists of many at once. SmeeFeds contain more tools for handling federations, such as:SmeeFeds.Federation - tools for accessing data such as metadata download URLs, contacts, homepages, and so on.SmeeFeds.Export - convert lists of federations into data for export, or simple text reportsSmeeFeds.Filter - filter lists of federations by various criteria","ref":"readme.html#features","title":"SmeeFeds - Features","type":"extras"},{"doc":"SmeeFeds comes with a built-in list of federations, using information gathered from various sources on the Internet.This collection of information is for use by researchers, developers and testers. IT IS NOT FOR USE IN PRODUCTION ENVIRONMENTSMetadata is the bedrock of trust and information security in SAML federations. DO NOT use metadata URLs, certificates and certificate fingerprints to download and use metadata in live services without confirming each detail yourself.If you must use SmeeFeds as part of a production service, then after information has been verified you can export only the verified information you need as a JSON file and set it as the new default using :smee_feds, :data_file config setting in your application.There is absolutely no guarantee or warranty that the data in SmeeFeds is correct, and it is not supported by any of the federations listed. It's totally unofficial.","ref":"readme.html#important-disclaimer-and-warning","title":"SmeeFeds - IMPORTANT DISCLAIMER AND WARNING","type":"extras"},{"doc":"Listing all known federations, then selecting those in the EU, and listing their unique IDsEach federation record has an ID for convenienceSmeeFeds.federations() |&gt; SmeeFeds.Filter.eu() |&gt; SmeeFeds.ids()Using with Smee to download UK Access Management Federation metadata, pick a random entity and get its XMLUseful for testingrandom_xml = SmeeFeds.get(:ukamf) |&gt; SmeeFeds.Federation.aggregate() |&gt; Smee.fetch!() |&gt; Smee.Metadata.random_entity() |&gt; Smee.Entity.xml()Finding an MDQ serviceVery few MDQ services are present in the data, but they can be used as follows:cern_idp = SmeeFeds.get(:incommon) |&gt; SmeeFeds.Federation.mdq() |&gt; MDQ.lookup!(&quot;https://cern.ch/login&quot;)Getting a list of specific federations and writing their details to disk as a JSON file or CSVThe JSON file can be used a new default set of federations. The CSV is a simpler, lossy summary.json = SmeeFeds.federations([:wayf, :haka, :dfnaai, :swamid]) |&gt; SmeeFeds.Export.json() File.write!(&quot;feds.json&quot;, json) csv = SmeeFeds.federations([:wayf, :haka, :dfnaai, :swamid]) |&gt; SmeeFeds.Export.csv() File.write!(&quot;feds.csv&quot;, csv)","ref":"readme.html#examples","title":"SmeeFeds - Examples","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding smee_feds to your list of dependencies in mix.exs:def deps do [ {:smee_feds, &quot;~&gt; 0.1.0&quot;} ] endSmeeFeds requires Smee, which has its own unusual requirements, so please make sure you read the documentation for installing Smee before using SmeeFeds.","ref":"readme.html#installation","title":"SmeeFeds - Installation","type":"extras"},{"doc":"The main reason SmeeFeds was hurriedly put together on a Sunday afternoon is that I needed to test Smee with a variety of federations, and my various scattered notes and comments and tests with URLs and certificate fingerprints were becoming a nuisance.It's possibly an over-engineered solution to that problem but it was fun.","ref":"readme.html#uses","title":"SmeeFeds - Uses","type":"extras"},{"doc":"The best source of this information is the websites of the federations themselves, and the best way to find those websites is to read the websites of Edugain and REFEDS.Edugain &quot;eduGAIN comprises over 80 participant federations connecting more than 8,000 Identity and Service Providers&quot; REFEDS &quot;REFEDS is a community of practitioners actively engaged in access and identity work within their home countries and supportive of standards-compliant developments to enhance international collaboration&quot;MET &quot;Metadata explorer tool is a fast way to find federations, entities, and their relations through entity/federation metadata file information.&quot;","ref":"readme.html#alternatives-and-sources","title":"SmeeFeds - Alternatives and Sources","type":"extras"},{"doc":"Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/smee_feds.","ref":"readme.html#documentation","title":"SmeeFeds - Documentation","type":"extras"},{"doc":"You can request new features by creating an issue, or submit a pull request with your contribution.If you are comfortable working with Python but Smee's Elixir code is unfamiliar then this blog post may help: Elixir For Humans Who Know Python","ref":"readme.html#contributing","title":"SmeeFeds - Contributing","type":"extras"},{"doc":"Copyright (c) 2023 Digital Identity Ltd, UKSmeeFeds is Apache 2.0 licensed.","ref":"readme.html#copyright-and-license","title":"SmeeFeds - Copyright and License","type":"extras"},{"doc":"Smee is not endorsed by The Shibboleth Foundation or any of the NREN's described within. The API will definitely change considerably in the first few releases after 0.1.0 - it is not stable!","ref":"readme.html#disclaimer","title":"SmeeFeds - Disclaimer","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright [yyyy] [name of copyright owner] Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]